Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.editors.text
Interface IEncodingActionsHelpContextIds

public interface IEncodingActionsHelpContextIds

Help context IDs for the encoding actions.

This interface contains constants only; it is not intended to be implemented.

Since:
  2.0

Field Summary
`static String` | `CUSTOM` Help id of the action to change the encoding into a custom encoding.
`static String` | `DEFAULT` Help id of the action to change the encoding into default.
`static String` | `ISO_8859_1` Help id of the action to change the encoding into ISO-8859-1.
`static String` | `SYSTEM` Help id of the action to change the encoding into the system encoding.
`static String` | `US_ASCII` Help id of the action to change the encoding into US ASCII.
`static String` | `UTF_16` Help id of the action to change the encoding into UTF-16.
`static String` | `UTF_16BE` Help id of the action to change the encoding into UTF-16BE.
`static String` | `UTF_16LE` Help id of the action to change the encoding into UTF-16LE.
`static String` | `UTF_8` Help id of the action to change the encoding into UTF-8 Default value: `"org.eclipse.ui.UTF-8_action_context"`

Field Detail

### DEFAULT

    public static final String DEFAULT

  Help id of the action to change the encoding into default. Default value: `"org.eclipse.ui.default_action_context"`

  Since:
    3.0
  See Also:
    Constant Field Values

### US_ASCII

    public static final String US_ASCII

  Help id of the action to change the encoding into US ASCII. Default value: `"org.eclipse.ui.US-ASCII_action_context"`

  See Also:
    Constant Field Values

### ISO_8859_1

    public static final String ISO_8859_1

  Help id of the action to change the encoding into ISO-8859-1. Default value: `"org.eclipse.ui.ISO-8859-1_action_context"`

  See Also:
    Constant Field Values

### UTF_8

    public static final String UTF_8

  Help id of the action to change the encoding into UTF-8 Default value: `"org.eclipse.ui.UTF-8_action_context"`

  See Also:
    Constant Field Values

### UTF_16BE

    public static final String UTF_16BE

  Help id of the action to change the encoding into UTF-16BE. Default value: `"org.eclipse.ui.UTF-16BE_action_context"`

  See Also:
    Constant Field Values

### UTF_16LE

    public static final String UTF_16LE

  Help id of the action to change the encoding into UTF-16LE. Default value: `"org.eclipse.ui.UTF-16LE_action_context"`

  See Also:
    Constant Field Values

### UTF_16

    public static final String UTF_16

  Help id of the action to change the encoding into UTF-16. Default value: `"org.eclipse.ui.UTF-16_action_context"`

  See Also:
    Constant Field Values

### SYSTEM

    public static final String SYSTEM

  Help id of the action to change the encoding into the system encoding. Default value: `"org.eclipse.ui.System_action_context"`

  See Also:
    Constant Field Values

### CUSTOM

    public static final String CUSTOM

  Help id of the action to change the encoding into a custom encoding. Default value: `"org.eclipse.ui.Custom_action_context"`

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.